Bug 433544 - PAM blocks munin and cacti cron jobs
PAM blocks munin and cacti cron jobs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
: 433608 433788 433835 434615 (view as bug list)
Depends On: 433835
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-19 17:12 EST by Johan Cwiklinski
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 02:59:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johan Cwiklinski 2008-02-19 17:12:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; fr-FR; rv:1.9b4pre) Gecko/2008021510 Remi/3.0b4pre-0.beta3.20080215.fc8.remi Minefield/3.0b4pre

Description of problem:
Since updated to 0.99.8.1-17, munin and cacti cron jobs fail to run, with these messages from /var/log/cron:
Feb 19 20:00:01 odysseus crond[9900]: CRON (cacti): failed to open PAM security session: Module inconnu
Feb 19 20:01:01 odysseus crond[9937]: CRON (root): failed to open PAM security session: Module inconnu


Version-Release number of selected component (if applicable):
pam-0.99.8.1-17.fc8

How reproducible:
Always


Steps to Reproduce:
1. Update to pam-0.99.8.1-17.fc8
2. Wait 5 minutes to munin or cacti cronjobs to run
3. See the logs 

Actual Results:
cron jobs are not executed

Expected Results:
cron jobs should run successfull

Additional info:
Comment 1 Tomas Mraz 2008-02-20 02:25:21 EST
'service crond restart' should help to eliminate this intermittent error.
Comment 2 Johan Cwiklinski 2008-02-20 02:59:09 EST
Indeed, that solves the issue... 

Sorry, I should have tried this.
Comment 3 Tomas Mraz 2008-02-20 05:54:30 EST
*** Bug 433608 has been marked as a duplicate of this bug. ***
Comment 4 Tomas Mraz 2008-02-21 12:07:53 EST
*** Bug 433788 has been marked as a duplicate of this bug. ***
Comment 5 Charles R. Anderson 2008-02-21 12:13:25 EST
Some more explanation on why this is impossible to fix would be helpful.  Should
a bug be filed against crond?

Thanks.
Comment 6 Tomas Mraz 2008-02-21 12:31:34 EST
Pam probably could restart crond but it hardly can restart whatever other
daemons which can have loaded pam libraries. So the only possible fix for this
is just to reboot the machine. Or the administrator, who knows all the services
and daemons running on his machine, which loaded PAM library, can restart them.
This cannot be handled in any reasonably reliable and non-hackish way in the pam
package.
Comment 7 Tomas Mraz 2008-02-21 12:32:14 EST
*** Bug 433835 has been marked as a duplicate of this bug. ***
Comment 8 Jan ONDREJ 2008-02-21 12:40:19 EST
A solution can be to "do not release" new versions of pam in live of a fedora
distribution. New packages can go into fedora-devel, but not into stable updates.

After each upgrade an user must reboot it's machine to load new kernel and fix
also this problem.

Each update for stable update need to be compatible with older config files and
also binary compatible with applications, which can not be automatically
restarted. An user also can do automatic config update, if it is possible.
Comment 9 Tomas Mraz 2008-02-23 07:58:14 EST
*** Bug 434615 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.